package model

object Globe {

    fun getAllRecipes() : List<Recipe> {
        return Europe.getAllRecipes() +
                Asia.getAllRecipes()  +
                NorthAmerica.getAllRecipes() +
                SouthAmerica.getAllRecipes() +
                MiddleEast.getAllRecipes() +
                Africa.getAllRecipes() /*+
                Antarctica.getAllRecipes()*/
    }
}

private object Europe {
    private val italianRecipes = italianList

    fun getAllRecipes() : List<Recipe> {
        return italianRecipes +
                greekList
    }
}

private object Asia {
    private val chineseRecipes = chineseList
    private val indianRecipes = indianList
    private val koreanRecipes = koreanList
    private val seaRecipes = seaList

    fun getAllRecipes() : List<Recipe>
    {
        return chineseRecipes +
                indianRecipes +
                koreanRecipes +
                seaRecipes
    }
}

private object NorthAmerica {
    private val americanRecipes = americanList
    private val mexicanRecipes = mexicanList

    fun getAllRecipes() : List<Recipe>
    {
     return americanRecipes +
            mexicanRecipes
    }
}

private object SouthAmerica {

    fun getAllRecipes() : List<Recipe>
    {
        return listOf()
    }
}

private object MiddleEast {

    private val palestineRecipes = palestineList

    fun getAllRecipes() : List<Recipe>
    {
        return palestineRecipes
    }

}

private object Africa {

    fun getAllRecipes() : List<Recipe>
    {
        return listOf()
    }
}

private object Antarctica {
    private val exampleRecipes = exampleList

    fun getAllRecipes() : List <Recipe> {
        return exampleRecipes
    }
}


//val exampleRecipes by remember { mutableStateOf(exampleList) }
